document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('uploadForm').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent the form from submitting normally
        
        var fileInput = document.getElementById('excel_file');
        var file = fileInput.files[0];

        if (file) {
            var reader = new FileReader();
            reader.onload = function(e) {
                var data = new Uint8Array(e.target.result);
                var workbook = XLSX.read(data, { type: 'array' });

                // Process UTS, UAS, and Assignments based on the button clicked
                var table = document.getElementById('tableName').value;
                processWorkbook(workbook, table);
            };
            reader.readAsArrayBuffer(file);
        }
    });
});

function processWorkbook(workbook, table) {
    var sheetName = workbook.SheetNames[0]; // Assuming data is in the first sheet
    var worksheet = workbook.Sheets[sheetName];
    
    // Extract course code
    var courseCode = worksheet['B4'] ? worksheet['B4'].v : '';

    // Extract data starting from row 7
    var data = XLSX.utils.sheet_to_json(worksheet, { header: 1, range: 'A7' });
    
    // Process data and send it to the server
    data.forEach(row => {
        var nim = row[0];
        var name = row[1];
        var scores = row.slice(2);

        var payload = {
            nim: nim,
            name: name,
            courseCode: courseCode,
            scores: scores
        };

        // Send data to the server for processing
        sendDataToServer(payload, table);
    });
}

function sendDataToServer(payload, table) {
    var xhr = new XMLHttpRequest();
    xhr.open('POST', '../php/process_data.php', true); // Adjust URL as needed
    xhr.setRequestHeader('Content-Type', 'application/json');
    
    xhr.onreadystatechange = function() {
        if (xhr.readyState === 4 && xhr.status === 200) {
            console.log(xhr.responseText); // Handle server response
        }
    };
    
    var data = JSON.stringify({ ...payload, table: table });
    xhr.send(data);
}

function setTable(tableName) {
    document.getElementById('tableName').value = tableName;
}
