<?php
// Include basic page layout and database connection
include '../basic_page.html';  // Basic page layout
include '../database_connection.php'; // Database connection

// Establish the connection (assuming the $conn is already initialized with database details)
$conn = new mysqli($servername, $username, $password, $dbname);

// Check if connection is successful
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Set the course code as a filter
$course_code = 'IS 311';

// Query for the rubric table (no terms filter)
$query_rubric_uts = "SELECT * FROM rubric_uts WHERE course = '$course_code'";
$query_rubric_uas = "SELECT * FROM rubric_uas WHERE course = '$course_code'";
$query_rubric_assignment = "SELECT * FROM rubric_assignment WHERE course = '$course_code'";

// Query for the scores table (no terms filter)
$query_scores_uts = "SELECT * FROM uts_scores WHERE course_code = '$course_code'";
$query_scores_uas = "SELECT * FROM uas_scores WHERE course_code = '$course_code'";
$query_scores_assignment = "SELECT * FROM assignment_scores WHERE course_code = '$course_code'";

// Query for lab-specific data (no terms filter)
$query_rubric_lab_uts = "SELECT * FROM rubric_uts_lab WHERE course = '$course_code'";
$query_rubric_lab_uas = "SELECT * FROM rubric_uas_lab WHERE course = '$course_code'";
$query_rubric_lab_assignment = "SELECT * FROM rubric_assignment_lab WHERE course = '$course_code'";

// Query for lab scores (no terms filter)
$query_scores_lab_uts = "SELECT * FROM uts_lab_scores WHERE course_code = '$course_code'";
$query_scores_lab_uas = "SELECT * FROM uas_lab_scores WHERE course_code = '$course_code'";
$query_scores_lab_assignment = "SELECT * FROM assignment_lab_scores WHERE course_code = '$course_code'";

// Execute queries for Rubric and Scores
$rubric_uts_result = $conn->query($query_rubric_uts);
$rubric_uas_result = $conn->query($query_rubric_uas);
$rubric_assignment_result = $conn->query($query_rubric_assignment);

$scores_uts_result = $conn->query($query_scores_uts);
$scores_uas_result = $conn->query($query_scores_uas);
$scores_assignment_result = $conn->query($query_scores_assignment);

$rubric_lab_uts_result = $conn->query($query_rubric_lab_uts);
$rubric_lab_uas_result = $conn->query($query_rubric_lab_uas);
$rubric_lab_assignment_result = $conn->query($query_rubric_lab_assignment);

$scores_lab_uts_result = $conn->query($query_scores_lab_uts);
$scores_lab_uas_result = $conn->query($query_scores_lab_uas);
$scores_lab_assignment_result = $conn->query($query_scores_lab_assignment);

// Fetch all results into arrays for easier handling in the loop
$rubric_uts_rows = $rubric_uts_result->fetch_all(MYSQLI_ASSOC);
$rubric_uas_rows = $rubric_uas_result->fetch_all(MYSQLI_ASSOC);
$rubric_assignment_rows = $rubric_assignment_result->fetch_all(MYSQLI_ASSOC);

$scores_uts_rows = $scores_uts_result->fetch_all(MYSQLI_ASSOC);
$scores_uas_rows = $scores_uas_result->fetch_all(MYSQLI_ASSOC);
$scores_assignment_rows = $scores_assignment_result->fetch_all(MYSQLI_ASSOC);

$rubric_lab_uts_rows = $rubric_lab_uts_result->fetch_all(MYSQLI_ASSOC);
$rubric_lab_uas_rows = $rubric_lab_uas_result->fetch_all(MYSQLI_ASSOC);
$rubric_lab_assignment_rows = $rubric_lab_assignment_result->fetch_all(MYSQLI_ASSOC);

$scores_lab_uts_rows = $scores_lab_uts_result->fetch_all(MYSQLI_ASSOC);
$scores_lab_uas_rows = $scores_lab_uas_result->fetch_all(MYSQLI_ASSOC);
$scores_lab_assignment_rows = $scores_lab_assignment_result->fetch_all(MYSQLI_ASSOC);

?>

<div class="container mt-5">
    <h3>Scores and ELO Calculation for Course: IS 311</h3>
    
    <!-- DataTable -->
    <table id="scoresTable" class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>No</th>
                <th>Name</th>
                <th>UTS Lec (Calculated)</th>
                <th>UAS Lec (Calculated)</th>
                <th>Assignment Lec (Calculated)</th>
                <th>UTS Lab (Calculated)</th>
                <th>UAS Lab (Calculated)</th>
                <th>Assignment Lab (Calculated)</th>
            </tr>
        </thead>
        <tbody>
            <?php
            // Example of how to fetch and display the data dynamically
            $counter = 1;
            foreach ($scores_uts_rows as $row_uts) {
                // Get the student name or other details
                $student_name = $row_uts['Name'];

                /// Calculate the scores for UTS, UAS, and Assignments (Lecture)
$uts_total_score = 0;
for ($i = 1; $i <= count($rubric_uts_rows); $i++) {
    // Multiply score by the rubric weight converted to a percentage
    $uts_total_score += $row_uts['Question ' . $i] * ($rubric_uts_rows[$i-1]['R_Weight'] / 100);
}

$uas_total_score = 0;
foreach ($scores_uas_rows as $row_uas) {
    if ($row_uas['NIM'] == $row_uts['NIM']) {
        for ($i = 1; $i <= count($rubric_uas_rows); $i++) {
            // Multiply score by the rubric weight converted to a percentage
            $uas_total_score += $row_uas['Question ' . $i] * ($rubric_uas_rows[$i-1]['R_Weight'] / 100);
        }
        break;
    }
}

$assignment_total_score = 0;
foreach ($scores_assignment_rows as $row_assignment) {
    if ($row_assignment['NIM'] == $row_uts['NIM']) {
        for ($i = 1; $i <= count($rubric_assignment_rows); $i++) {
            // Multiply score by the rubric weight converted to a percentage
            $assignment_total_score += $row_assignment['Assignment ' . $i] * ($rubric_assignment_rows[$i-1]['R_Weight'] / 100);
        }
        break;
    }
}

// Similarly, handle the Lab calculation (UTS Lab, UAS Lab, Assignment Lab)
$uts_lab_score = 0;
foreach ($scores_lab_uts_rows as $row_lab_uts) {
    if ($row_lab_uts['NIM'] == $row_uts['NIM']) {
        for ($i = 1; $i <= count($rubric_lab_uts_rows); $i++) {
            // Multiply score by the rubric weight converted to a percentage
            $uts_lab_score += $row_lab_uts['Question ' . $i] * ($rubric_lab_uts_rows[$i-1]['R_Weight'] / 100);
        }
        break;
    }
}

$uas_lab_score = 0;
foreach ($scores_lab_uas_rows as $row_lab_uas) {
    if ($row_lab_uas['NIM'] == $row_uts['NIM']) {
        for ($i = 1; $i <= count($rubric_lab_uas_rows); $i++) {
            // Multiply score by the rubric weight converted to a percentage
            $uas_lab_score += $row_lab_uas['Question ' . $i] * ($rubric_lab_uas_rows[$i-1]['R_Weight'] / 100);
        }
        break;
    }
}

$assignment_lab_score = 0;
foreach ($scores_lab_assignment_rows as $row_lab_assignment) {
    if ($row_lab_assignment['NIM'] == $row_uts['NIM']) {
        for ($i = 1; $i <= count($rubric_lab_assignment_rows); $i++) {
            // Multiply score by the rubric weight converted to a percentage
            $assignment_lab_score += $row_lab_assignment['Assignment ' . $i] * ($rubric_lab_assignment_rows[$i-1]['R_Weight'] / 100);
        }
        break;
    }
}


                echo "<tr>
                        <td>$counter</td>
                        <td>$student_name</td>
                        <td>$uts_total_score</td>
                        <td>$uas_total_score</td>
                        <td>$assignment_total_score</td>
                        <td>$uts_lab_score</td>
                        <td>$uas_lab_score</td>
                        <td>$assignment_lab_score</td>
                    </tr>";
                $counter++;
            }
            ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/datatables.net@1.10.21/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/datatables.net-bs5@1.10.21/js/dataTables.bootstrap5.min.js"></script>

<script>
    $(document).ready(function() {
        $('#scoresTable').DataTable();  // Initialize DataTable
    });
</script>
