<?php
// Include the basic page layout and database connection
include '../basic_page.html';  // Basic page layout
include '../database_connection.php'; // Database connection

// Establish the connection (assuming $conn is initialized with database details)
$conn = new mysqli($servername, $username, $password, $dbname);

// Check if the connection was successful
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Define the course filter
$course = 'IS 311';

// Query to fetch student names from the 'uts_scores' table
$sql = "SELECT Name FROM uts_scores WHERE Course_code = '$course'";

// Execute the query and store the result
$result = $conn->query($sql);

// Function to generate random numbers that sum up to 80
function generateRandomNumbers($total) {
    $numbers = [];
    $remaining = $total;
    
    // Generate random numbers for 4 columns
    for ($i = 0; $i < 4; $i++) {
        $numbers[$i] = mt_rand(0, $remaining * 10 / 4) / 10; // Random number between 0 and remaining value
        $remaining -= $numbers[$i];
    }

    // Adjust the last number to ensure the total is exactly 80
    $numbers[4] = $remaining;

    // Round all numbers to one decimal place
    foreach ($numbers as &$num) {
        $num = round($num, 1);
    }

    return $numbers;
}

?>

<!-- Page content -->
<h2 class="text-center">ELO Scores for Student in IS 311</h2>

<div class="container" style="padding-left: 5px;">
    <table id="elo_scores" class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>Student</th>
                <th>ELO A</th>
                <th>ELO B</th>
                <th>ELO C</th>
                <th>ELO D</th>
                <th>ELO E</th>
                <th>ELO F</th>
                <th>ELO G</th>
                <th>ELO H</th>
                <th>ELO I</th>
                <th>ELO J</th>
            </tr>
        </thead>
        <tbody>
            <?php
            if ($result->num_rows > 0) {
                // Fetch each row and display the student data
                while($row = $result->fetch_assoc()) {
                    // Generate random numbers that sum to 80
                    $elo_values = generateRandomNumbers(80);
                    echo "<tr>";
                    echo "<td>" . $row['Name'] . "</td>";
                    // Display the generated numbers in the corresponding columns
                    echo "<td>" . $elo_values[0] . "</td>"; // ELO A
                    echo "<td>-</td>"; // ELO B
                    echo "<td>-</td>"; // ELO C
                    echo "<td>" . $elo_values[1] . "</td>"; // ELO D
                    echo "<td>-</td>"; // ELO E
                    echo "<td>" . $elo_values[2] . "</td>"; // ELO F
                    echo "<td>" . $elo_values[3] . "</td>"; // ELO G
                    echo "<td>-</td>"; // ELO H
                    echo "<td>-</td>"; // ELO I
                    echo "<td>" . $elo_values[4] . "</td>"; // ELO J
                    echo "</tr>";
                }
            } else {
                echo "<tr><td colspan='11'>No data available</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<!-- Include Bootstrap JS for table functionality -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<script>
    // Initialize Bootstrap DataTable
    new DataTable("#elo_scores");
</script>

<?php
// Close the connection after use
$conn->close();
?>
