<?php
include '../basic_page.html';  // Basic page layout
include '../database_connection.php'; // Database connection

// Establish the connection (assuming the $conn is already initialized with database details)
$conn = new mysqli($servername, $username, $password, $dbname);

// Check if the connection was successful
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch all Sub-CLOs from the rubric table
$query_rubric_subclo = "SELECT DISTINCT sub_clo FROM rubric_uts WHERE course = '$course_code' UNION 
                        SELECT DISTINCT sub_clo FROM rubric_uas WHERE course = '$course_code' UNION 
                        SELECT DISTINCT sub_clo FROM rubric_assignment WHERE course = '$course_code' UNION
                        SELECT DISTINCT sub_clo FROM rubric_uts_lab WHERE course = '$course_code' UNION
                        SELECT DISTINCT sub_clo FROM rubric_uas_lab WHERE course = '$course_code' UNION
                        SELECT DISTINCT sub_clo FROM rubric_assignment_lab WHERE course = '$course_code'";

$result_subclo = $conn->query($query_rubric_subclo);
$subclo_rows = $result_subclo->fetch_all(MYSQLI_ASSOC);

// Fetch all student scores for UTS and Lab (make sure to adapt this query to match your actual schema)
$query_scores_uts = "SELECT * FROM scores WHERE course_id = '$course_code' AND assessment_type = 'UTS'";
$scores_uts_result = $conn->query($query_scores_uts);
$scores_uts_rows = $scores_uts_result->fetch_all(MYSQLI_ASSOC);

// Fetch ELO values from the ELO table
$query_elo = "SELECT * FROM elo"; // Adjust the table and columns as per your database schema
$elo_result = $conn->query($query_elo);
$elo_rows = $elo_result->fetch_all(MYSQLI_ASSOC);
?>

<div class="container mt-5">
    <h3>Scores and ELO Calculation (Lec & Lab) for Course: IS 311</h3>
    
    <!-- DataTable for ELO Calculation -->
    <table id="eloScoresTable" class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>Student Name</th>
                <th colspan="10" class="text-center">Lec</th>
                <th colspan="10" class="text-center">Lab</th>
            </tr>
            <tr>
                <th></th>
                <?php
                    // Print ELO headers for Lec and Lab (A-J)
                    foreach (range('A', 'J') as $elo) {
                        echo "<th>$elo</th>";
                    }
                    foreach (range('A', 'J') as $elo) {
                        echo "<th>$elo</th>";
                    }
                ?>
            </tr>
        </thead>
        <tbody>
            <?php
            // Loop through each student (based on scores from the previous table)
            foreach ($scores_uts_rows as $row_uts) {
                $student_name = $row_uts['student_name']; // Change this to the actual student name column
                echo "<tr><td>$student_name</td>";

                // Lec: Calculate for each ELO (A-J)
                foreach (range('A', 'J') as $elo) {
                    $elo_value = null;
                    // Get the ELO value for the current sub_clo from the ELO table
                    foreach ($elo_rows as $elo_row) {
                        if ($elo_row['ELO'] == $elo) {
                            $elo_value = $elo_row['ELO_value']; // Adjust the column name accordingly
                            break;
                        }
                    }

                    if ($elo_value !== null) {
                        // Perform the calculation for Lec (UTS)
                        $score_elo = 0;
                        foreach ($scores_uts_rows as $row_uts) {
                            if ($row_uts['student_id'] == $row_uts['student_id']) {  // Assuming there's a student_id field
                                // Perform calculation based on rubric weight
                                $score_elo += $row_uts['score'] * $elo_value / 100;
                            }
                        }
                        echo "<td>$score_elo</td>";
                    } else {
                        echo "<td>-</td>";
                    }
                }

                // Lab: Calculate for each ELO (A-J)
                foreach (range('A', 'J') as $elo) {
                    $elo_value = null;
                    // Get the ELO value for the current sub_clo from the ELO table
                    foreach ($elo_rows as $elo_row) {
                        if ($elo_row['ELO'] == $elo) {
                            $elo_value = $elo_row['ELO_value']; // Adjust the column name accordingly
                            break;
                        }
                    }

                    if ($elo_value !== null) {
                        // Perform the calculation for Lab (Lab Scores)
                        $score_elo_lab = 0;
                        foreach ($scores_lab_rows as $row_lab_uts) {
                            if ($row_lab_uts['student_id'] == $row_uts['student_id']) {  // Assuming there's a student_id field
                                // Perform calculation based on rubric weight for Lab
                                $score_elo_lab += $row_lab_uts['score'] * $elo_value / 100;
                            }
                        }
                        echo "<td>$score_elo_lab</td>";
                    } else {
                        echo "<td>-</td>";
                    }
                }
                echo "</tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function() {
        $('#eloScoresTable').DataTable();
    });
</script>

<?php
// Close the database connection
$conn->close();
?>
