<?php
include '../database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}


if (isset($_POST['elo'])) {
    $elo = $_POST['elo'];

    // Prepare and execute SQL query to fetch CLOs for the selected ELO
    $sql = "SELECT clo, clo_description FROM clo_template WHERE elo = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $elo);  // Bind the ELO parameter
    $stmt->execute();
    $stmt->bind_result($clo, $clo_description);

    $clos = [];
    while ($stmt->fetch()) {
        $clos[] = ['clo' => $clo, 'description' => $clo_description];
    }

    $stmt->close();

    // Return CLO data as a JSON response
    echo json_encode(['success' => true, 'clos' => $clos]);
} else {
    echo json_encode(['success' => false, 'message' => 'ELO not provided']);
}
?>
