<?php
// Include the database connection details
include '../database_connection.php';

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Retrieve the data from the POST request
$course = isset($_POST['course']) ? $_POST['course'] : '';
$terms = isset($_POST['terms']) ? $_POST['terms'] : '';

$idElo = isset($_POST['elo_id']) ? $_POST['elo_id'] : '';
$elo = isset($_POST['elo']) ? $_POST['elo'] : '';
$clo = isset($_POST['clo']) ? $_POST['clo'] : '';
$subClo = isset($_POST['sub_clo']) ? $_POST['sub_clo'] : '';
$description = isset($_POST['description']) ? $_POST['description'] : '';

// Fill the new variable scrs with the course value before updating the record
$scrs = $course; // Assign course to scrs

// Prepare the SQL statement to update the record
$sql = "UPDATE elo SET ELO = ?, CLO = ?, SUB_CLO = ?, Description = ? WHERE id_elo = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("sssss", $elo, $clo, $subClo, $description, $idElo);

// Execute the query and check if it was successful
if ($stmt->execute()) {
    // Redirect to view_subclo_table.php with terms and course as query parameters
    header("Location: view_subclo_table.php?terms=" . urlencode($terms) . "&course=" . urlencode($scrs));
    exit();
} else {
    echo "Error updating record: " . $stmt->error;
}

// Close the statement and connection
$stmt->close();
$conn->close();
?>
