<?php
// Include the database connection details
include 'database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

if (isset($_POST['term'])) {
    $selectedTerm = $_POST['term'];

    // Fetch courses associated with the selected term
    $sql = "SELECT course_id, course_name FROM terms WHERE terms = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $selectedTerm);
    $stmt->execute();
    $result = $stmt->get_result();

    // Prepare the response as options for the course dropdown
    $output = "<option value=''>Select Course</option>";
    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            $output .= "<option value='{$row['course_id']}'>{$row['course_id']} - {$row['course_name']}</option>";
        }
    } else {
        $output .= "<option value=''>No courses available</option>";
    }

    // Return the result as the response to the AJAX request
    echo $output;
}

// Close the connection
$conn->close();
?>
