
<?php
// Include the database connection details

include 'basic_page.html';
include 'database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch unique terms from the 'terms' table
$terms = [];
$sql = "SELECT DISTINCT terms FROM terms";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $terms[] = $row['terms']; // Store unique terms in an array
    }
}

// Close the connection
$conn->close();
?>



    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/styles.css">

    <title>Upload Scores</title>

     <div class="container mt-5">
        <div class="card mb-4">
            <div class="card-body">
                <h2 class="card-title">Welcome to the Score Upload Page</h2>
                <p class="card-text">Please upload the scores for UTS, UAS, and Assignments for Lecturer</p>
            </div>
        </div>

        <!-- Form for UTS Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uts" enctype="multipart/form-data">
                    <h2>Upload UTS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUTS" class="form-label">Select UTS Excel File:</label>
                        <input type="file" id="uploadExcelUTS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for UAS Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uas" enctype="multipart/form-data">
                    <h2>Upload UAS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUAS" class="form-label">Select UAS Excel File:</label>
                        <input type="file" id="uploadExcelUAS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for Assignment Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-assignment" enctype="multipart/form-data">
                    <h2>Upload Assignment Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelAssignment" class="form-label">Select Assignment Excel File:</label>
                        <input type="file" id="uploadExcelAssignment" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Additional Forms can be added here -->

    </div>

    <!-- Include SheetJS library -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.18.5/xlsx.full.min.js"></script>

    <!-- Include custom JavaScript files -->
    <script src="../js/uploads/upload_excel_uts.js"></script>     <!-- UTS upload script -->
    <script src="../js/uploads/upload_excel_uas.js"></script>     <!-- UAS upload script -->
    <script src="../js/uploads/upload_excel_assignments.js"></script> <!-- Assignment upload script -->
    <!-- <script src="../js/overlay_menu.js"></script>  -->
    <script src="../js/overlay_menu_box.js"></script> 

    
</body>
</html>
