<?php
session_start(); // Start a session

// Database connection
include 'database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$errorMessage = '';  // Initialize the error message variable

if (isset($_GET['logout']) && $_GET['logout'] == 'true') {
    // Destroy the session to log the user out
    session_destroy();

    // Redirect to the login page
    header("Location: login.php");
    exit();
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get email and password from POST request
    $email = $_POST['email'];
    $password = $_POST['password'];
    
    // Sanitize input to prevent SQL injection
    $email = $conn->real_escape_string($email);
    $password = $conn->real_escape_string($password);
    
    // SQL query to check if email and password match a user
    $sql = "SELECT * FROM useraccess WHERE email = '$email' AND password = '$password'";
    $result = $conn->query($sql);
    
    if ($result->num_rows == 1) {
        // User found, retrieve user data
        $user = $result->fetch_assoc();
        
        // Store user data in session
        $_SESSION['user'] = $user['Name'];                 // Store user's Name
        $_SESSION['nim_or_nidn'] = $user['NIM/NIDN'];     // Store NIM (students) or NIDN (lecturers)
        $_SESSION['role'] = $user['Access'];               // User's Access level (role)
        
        // Redirect user to dashboard or homepage
        header("Location: /testing/php/index_main.php");
        exit();
    } else {
        // If no match, set the error message
        $errorMessage = "Invalid email or password.";
    }
}

$conn->close();
?>

<!-- HTML Form with Bootstrap -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <!-- Add Bootstrap CSS link -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/testing/css/styles.css">
    <link rel="stylesheet" href="/testing/css/basic_style.css">
    <style type="text/css">
        .login-container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .login-box {
            background-color: white;
            padding: 30px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 400px;
        }
        .login-box h2 {
            text-align: center;
            margin-bottom: 30px;
        }
        .error-message {
            font-size: 0.875rem; /* Smaller size */
            color: red;
            text-align: center;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <!-- Header -->
    <div class="container-fluid bg-light mb-4">
        <div class="row">
            <div class="col text-center header-container">
                <h2 class="header-title py-3">MyClass</h2>
            </div>
        </div>
    </div>

    <!-- Login Form -->
    <div class="login-container">
        <div class="login-box bg-light">
            <h2>Login</h2>
            <form action="login.php" method="post">
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="text" class="form-control" id="email" name="email" required>
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" class="form-control" id="password" name="password" required>
                </div>
                <button type="submit" class="btn btn-primary w-100">Login</button>

                <!-- Display error message below the button if there is an invalid login -->
                <?php if (!empty($errorMessage)) : ?>
                    <div class="error-message">
                        <?php echo $errorMessage; ?>
                    </div>
                <?php endif; ?>
            </form>
        </div>
    </div>

    <!-- Add Bootstrap JS link -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"></script>
</body>
</html>
