<?php
include 'database_connection.php'; // file koneksi ke database

// Mendapatkan data dari request JSON
$data = json_decode(file_get_contents('php://input'), true);

if ($data) {
    $conn->beginTransaction();

    try {
        foreach ($data as $row) {
            // Insert atau replace ke database uts_scores
            $stmt = $conn->prepare("
                REPLACE INTO uts_scores (NIM, Name, Course_Code, Question1, Question2, Question3, Question4, Question5, Question6, Question7, Question8, Question9, Question10)
                VALUES (:nim, :name, :course_code, :q1, :q2, :q3, :q4, :q5, :q6, :q7, :q8, :q9, :q10)
            ");
            $stmt->execute([
                ':nim' => $row['nim'],
                ':name' => $row['name'],
                ':course_code' => $row['course_code'],
                ':q1' => $row['q1'],
                ':q2' => $row['q2'],
                ':q3' => $row['q3'],
                ':q4' => $row['q4'],
                ':q5' => $row['q5'],
                ':q6' => $row['q6'],
                ':q7' => $row['q7'],
                ':q8' => $row['q8'],
                ':q9' => $row['q9'],
                ':q10' => $row['q10'],
            ]);
        }

        $conn->commit();
        echo json_encode(['status' => 'success', 'message' => 'Data successfully uploaded and saved!']);
    } catch (Exception $e) {
        $conn->rollBack();
        echo json_encode(['status' => 'error', 'message' => 'Failed to save data: ' . $e->getMessage()]);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'No data received']);
}
?>
