<?php
    include 'database_connection.php';
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Check the connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Fetch only specific columns from the elo table
    $query = "SELECT Terms, Course, ELO, CLO, `SUB-CLO`, Description FROM elo";
    $result = $conn->query($query);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ELO Submission</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- DataTables CSS -->
    <link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/styles.css">
</head>
<body>
    <!-- Header Section -->
    <div class="container-fluid bg-light mb-4">
        <div class="row">
            <div class="col text-center header-container">
                <img id="menuButton" src="../assets/menu_bar.png" alt="Menu" class="blackmagic-menu">
                <h2 class="header-title py-3">MyClass</h2>
            </div>
        </div>
    </div>

    <!-- Menu Overlay -->
    <div id="menuOverlay" class="overlay">
        <div class="menu">
            <h3>Menu</h3>
            <ul>
                <li><a href="../php/index_dashboard.php">Dashboard</a></li>
                <li id="menuItemUpload">
                    <a href="#">Halaman<br>Upload</a> <!-- No actual link -->
                </li>
                <li><a href="../php/elo_base_page.php">View Nilai</a></li>
                <li><a href="#">Item 4</a></li>
            </ul>
        </div>
    </div>

    <div class="container">
        <div class="row mb-3">
            <!-- Table on the left -->
            <div class="col-md-12">
                <!-- Table to display ELO data -->
                <table id="eloTable" class="display">
                    <thead>
                        <tr>
                            <th>Terms</th>
                            <th>Course</th>
                            <th>ELO</th>
                            <th>CLO</th>
                            <th>SUB-CLO</th>
                            <th>Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            if ($result->num_rows > 0) {
                                while ($row = $result->fetch_assoc()) {
                                    echo "<tr>";
                                    echo "<td>" . htmlspecialchars($row['Terms']) . "</td>";
                                    echo "<td>" . htmlspecialchars($row['Course']) . "</td>";
                                    echo "<td>" . htmlspecialchars($row['ELO']) . "</td>";
                                    echo "<td>" . htmlspecialchars($row['CLO']) . "</td>";
                                    echo "<td>" . htmlspecialchars($row['SUB-CLO']) . "</td>";
                                    echo "<td>" . htmlspecialchars($row['Description']) . "</td>";
                                    echo "</tr>";
                                }
                            } else {
                                echo "<tr><td colspan='6'>No data available</td></tr>";
                            }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- Back Button -->
    <div class="container">
        <button class="btn btn-primary" onclick="goBack()">Back</button>
    </div>

    <!-- DataTables and Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <!-- Initialize DataTable -->
    <script>
        $(document).ready(function() {
            $('#eloTable').DataTable({
                "paging": true,
                "searching": true,
                "ordering": true
            });
        });

        // Back button functionality
        function goBack() {
            window.history.back(); // You can replace this with a specific href later
        }
    </script>

    <script src="../js/overlay_menu_box.js"></script>
</body>

</html>

<?php
    // Close the database connection
    $conn->close();
?>
