<?php
// Include the database connection details
include '../database_connection.php';
// Check if the form is submitted

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Retrieve the posted term and course from the second page
$selectedTerm = isset($_POST['terms']) ? $_POST['terms'] : 'Unknown Term';
$selectedCourse = isset($_POST['course']) ? $_POST['course'] : 'Unknown Course';



// Retrieve the terms and course values from the query parameters
$selectedTerms = isset($_GET['terms']) ? $_GET['terms'] : '';
$scrs = isset($_GET['course']) ? $_GET['course'] : '';


if (isset($_SESSION['selected_terms']) && isset($_SESSION['selected_course'])) {
    $selectedTerms = $_SESSION['selected_terms'];
    $selectedCourse = $_SESSION['selected_course'];

    // You can now use $selectedTerm and $selectedCourse as needed

} 
// Check if selectedTerms and scrs are not empty
if (!empty($selectedTerms)) {
    // Assign the value to selectedTerms if it's not null
    $selectedTerm = $selectedTerms;
}

if (!empty($scrs)) {
    // Assign the value to selectedCourse if it's not null
    $selectedCourse = $scrs;
}

// Handle the update or delete action
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['action'])) {
        $action = $_POST['action'];
        $cloId = $_POST['elo_id']; // Assuming CLO ID is passed

        if ($action === 'delete') {
            // Delete the record based on the specific CLO ID
            $deleteSql = "DELETE FROM elo WHERE id_elo = ?";
            $stmt = $conn->prepare($deleteSql);
            $stmt->bind_param("s", $cloId);
            $stmt->execute();
            $stmt->close();
            header("Location: " . $_SERVER['PHP_SELF'] . "?terms=" . urlencode($selectedTerm) . "&course=" . urlencode($selectedCourse));
            exit();
        } elseif ($action === 'update') {
            // Redirect to an update page or process an update here
            // header("Location: ../php/update_clo.php");
            exit();
        }
    }
}

// Prepare and execute the SQL query to select data from the clo table
$sql = "SELECT id_elo, Terms, Course, ELO, CLO, SUB_CLO, Description FROM elo 
        WHERE Terms = ? AND Course = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("ss", $selectedTerm, $selectedCourse);
$stmt->execute();
$result = $stmt->get_result();

// Retrieve course name based on course code
$stmt = $conn->prepare("SELECT course_name FROM course WHERE course_code = ?");
$stmt->bind_param("s", $selectedCourse); // Binding the course code as a string
$stmt->execute();
$courseResult = $stmt->get_result();

if ($courseResult->num_rows > 0) {
    $row = $courseResult->fetch_assoc();
    $courseName = $row['course_name']; // Fetch the course name
} else {
    $courseName = 'Course not found'; // Handle case where no course is found
}

// Close the connection
$conn->close();
include '../basic_page.html';

?>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="/testing/css/styles.css">

<!-- Display the received term and course -->
<div class="container mt-4" style="background-color: white;">
    <div class="row">
        <div class="col text-left">
            <h4 class="tccolor">Term: <?php echo htmlspecialchars($selectedTerm); ?></h4>
            <h4 class="tccolor">Course: <?php echo htmlspecialchars($selectedCourse); ?> - <?php echo htmlspecialchars($courseName); ?></h4>
        </div>
    </div>
</div>

<!-- Add Button -->
<div class="container mt-4">
    <form method="POST" action="sub_clo.php" style="display:inline;">
        <input type="hidden" name="terms" value="<?php echo htmlspecialchars($selectedTerm); ?>">
        <input type="hidden" name="course" value="<?php echo htmlspecialchars($selectedCourse); ?>">
        <button type="submit" class="btn btn-primary">Add</button>
    </form>
</div>

<!-- DataTable to display the data -->
<div class="container mt-4">
    <table id="cloTable" class="display">
        <thead>
            <tr>
                <th>No</th>
                <th>Terms</th>
                <th>Course</th>
                <th>ELO</th>
                <th>CLO</th>
                <th>SUB-CLO</th>
                <th>Description</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php 
            $index = 1; // Initialize index for auto-increment
            while ($row = $result->fetch_assoc()): ?>
                <tr>
                    <td><?php echo $index++; ?></td> <!-- Display index value -->
                    <td><?php echo htmlspecialchars($row['Terms']); ?></td>
                    <td><?php echo htmlspecialchars($row['Course']); ?></td>
                    <td><?php echo htmlspecialchars($row['ELO']); ?></td>
                    <td><?php echo htmlspecialchars($row['CLO']); ?></td>
                    <td><?php echo htmlspecialchars($row['SUB_CLO']); ?></td>
                    <td><?php echo htmlspecialchars($row['Description']); ?></td>
                    <td>
                        <form method="POST" action="display_elo.php" style="display:inline;">
                            <input type="hidden" name="terms" value="<?php echo htmlspecialchars($selectedTerm); ?>">
                            <input type="hidden" name="course" value="<?php echo htmlspecialchars($selectedCourse); ?>">
                            <input type="hidden" name="elo_id" value="<?php echo htmlspecialchars($row['id_elo']); ?>">
                            <button type="submit" name="action" value="update" class="btn btn-warning btn-sm">Update</button>
                        </form>
                        <form method="POST" action="" style="display:inline;">
                            <input type="hidden" name="terms" value="<?php echo htmlspecialchars($selectedTerm); ?>">
                            <input type="hidden" name="course" value="<?php echo htmlspecialchars($selectedCourse); ?>">
                            <input type="hidden" name="elo_id" value="<?php echo htmlspecialchars($row['id_elo']); ?>">
                            <button type="submit" name="action" value="delete" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this record?');">Delete</button>
                        </form>
                    </td>
                </tr>
            <?php endwhile; ?>
        </tbody>
    </table>
</div>

<!-- Footer or navigation links -->
<div class="container mt-4">
    <form method="POST" action="../c_and_t_menu.php" style="display:inline;">
        <input type="hidden" name="terms" value="<?php echo htmlspecialchars($selectedTerm); ?>">
        <input type="hidden" name="course" value="<?php echo htmlspecialchars($selectedCourse); ?>">
        <button type="submit" class="btn btn-primary">Back</button>
    </form>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function() {
        $('#cloTable').DataTable();
    });
</script>

