<?php
// Include the database connection details

include 'basic_page.html';
include 'database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch unique terms from the 'terms' table
$terms = [];
$sql = "SELECT DISTINCT terms FROM terms";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $terms[] = $row['terms']; // Store unique terms in an array
    }
}



// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Store selected terms and course in session
    $_SESSION['selected_terms'] = $_POST['terms'];
    $_SESSION['selected_course'] = $_POST['course'];

    // Redirect to another page or display a success message (optional)
    // header('Location: another_page.php');  // Uncomment and modify if needed
}

// Close the connection
$conn->close();
?>



    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/styles.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> <!-- AJAX library -->

    
    <div class="container mt-5">
        <h1 class="mb-4">Select Terms and Course</h1>
        <form action="c_and_t_menu.php" method="POST">
            <!-- Dropdown for Terms -->
            <div class="mb-3">
                <label for="terms" class="form-label">Select Terms</label>
                <select class="form-select" id="terms" name="terms" required>
                    <option value="">Select Terms</option>
                    <?php foreach ($terms as $term): ?>
                        <option value="<?php echo $term; ?>">
                            <?php echo $term; ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            </div>

            <!-- Dropdown for Course (populated dynamically via AJAX) -->
            <div class="mb-3">
                <label for="course" class="form-label">Select Course</label>
                <select class="form-select" id="course" name="course" required>
                    <option value="">Select Course</option>
                </select>
            </div>

            <!-- Submit Button -->
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>

    <script>
        $(document).ready(function() {
            // Listen to changes in the terms dropdown
            $('#terms').change(function() {
                var selectedTerm = $(this).val(); // Get the selected term

                // Make an AJAX request to fetch courses for the selected term
                $.ajax({
                    url: 'fetch_courses.php',
                    method: 'POST',
                    data: { term: selectedTerm },
                    success: function(response) {
                        // Populate the course dropdown with the fetched courses
                        $('#course').html(response);
                    }
                });
            });
        });
    </script>

