<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/styles.css"> <!-- Link to your CSS file -->
    <title>Upload Scores</title>
</head>
<body>
    <!-- Full-Width Welcome Box -->
    <div class="container-fluid bg-light mb-4">
        <div class="row">
            <div class="col text-center position-relative">
                <button id="menuButton" class="btn btn-primary float-start hamburger-menu">
                    <img src="../assets/menu_bar.png" alt="Menu" class="menu-image">
                </button>
                <h2 class="py-3">Welcome to the Score Upload Page</h2>
                <p class="lead">Please upload the scores for UTS, UAS, and Assignments.</p>
            </div>
        </div>
    </div>

    <!-- Overlay Menu -->
    <div id="menuOverlay" class="overlay">
        <div class="menu">
            <h3>Menu</h3>
            <ul>
                <li><a href="#">Item 1</a></li>
                <li><a href="#">Item 2</a></li>
                <li><a href="#">Item 3</a></li>
                <li><a href="#">Item 4</a></li>
            </ul>
            <button id="closeMenu" class="btn btn-secondary">Close</button>
        </div>
    </div>

    <h1>Upload Scores</h1>
            <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uts" enctype="multipart/form-data">
                    <h2>Upload UTS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUTS" class="form-label">Select UTS Excel File:</label>
                        <input type="file" id="uploadExcelUTS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for UAS Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uas" enctype="multipart/form-data">
                    <h2>Upload UAS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUAS" class="form-label">Select UAS Excel File:</label>
                        <input type="file" id="uploadExcelUAS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for Assignment Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-assignment" enctype="multipart/form-data">
                    <h2>Upload Assignment Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelAssignment" class="form-label">Select Assignment Excel File:</label>
                        <input type="file" id="uploadExcelAssignment" class="form-control" accept=".xlsx">
                    </div>

                </form>
            </div>
        </div>

                <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uts" enctype="multipart/form-data">
                    <h2>Upload UTS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUTS" class="form-label">Select UTS Excel File:</label>
                        <input type="file" id="uploadExcelUTS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for UAS Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-uas" enctype="multipart/form-data">
                    <h2>Upload UAS Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelUAS" class="form-label">Select UAS Excel File:</label>
                        <input type="file" id="uploadExcelUAS" class="form-control" accept=".xlsx">
                    </div>
                </form>
            </div>
        </div>

        <!-- Form for Assignment Scores -->
        <div class="card mb-4">
            <div class="card-body">
                <form id="upload-form-assignment" enctype="multipart/form-data">
                    <h2>Upload Assignment Scores</h2>
                    <div class="mb-3">
                        <label for="uploadExcelAssignment" class="form-label">Select Assignment Excel File:</label>
                        <input type="file" id="uploadExcelAssignment" class="form-control" accept=".xlsx">
                    </div>

                </form>
            </div>
        </div>
    <!-- Include SheetJS library -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.18.5/xlsx.full.min.js"></script>
    
    <!-- Include custom JavaScript files -->
    <script src="../js/upload_excel_uts.js"></script>     <!-- UTS upload script -->
    <script src="../js/upload_excel_uas.js"></script>     <!-- UAS upload script -->
    <script src="../js/upload_excel_assignment.js"></script> <!-- Assignment upload script -->

    <script>
        // JavaScript for handling overlay menu
        const menuButton = document.getElementById('menuButton');
        const menuOverlay = document.getElementById('menuOverlay');
        const closeMenu = document.getElementById('closeMenu');

        // Ensure the button click event is set up correctly
        menuButton.addEventListener('click', () => {
            menuOverlay.classList.add('show'); // Add class to slide in
        });

        closeMenu.addEventListener('click', () => {
            menuOverlay.classList.remove('show'); // Remove class to slide out
        });
    </script>
</body>
</html>
