<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include the database connection file
include '../database_connection.php';  // Adjust the path if necessary

// Ensure JSON header for proper response
header('Content-Type: application/json');
file_put_contents('debug.log', print_r($_POST, true), FILE_APPEND);


try {
    // Capture the incoming JSON data from the request body
    $jsonData = file_get_contents('php://input');
    $data = json_decode($jsonData, true);

    if (!$data || !isset($data['rows'])) {
        throw new Exception('No data provided or invalid JSON format.');
    }

    // Prepare database connection
    $conn = new mysqli($servername, $username, $password, $dbname);

    if ($conn->connect_error) {
        throw new Exception('Database connection failed: ' . $conn->connect_error);
    }

    // Extract course code from row 4, column B
    $courseCode = isset($data['rows'][3][1]) ? $conn->real_escape_string($data['rows'][3][1]) : null;
    $terms = isset($data['rows'][2][1]) ? $conn->real_escape_string($data['rows'][2][1]) : null;

    if (!$courseCode) {
        throw new Exception('Course code not found in the expected cell (Row 4, Column B).');
    }

    // $courseCode = 0;

    // Iterate over the rows starting from row 7 (index 6)
    // Iterate over the rows starting from row 7 (index 6)

for ($index = 7; $index < count($data['rows']); $index++) {
    $row = $data['rows'][$index];

    // Ensure the row has data and NIM is not empty
    if (empty($row[0])) {
        // Skip rows without valid NIM
        continue;
    }

    // Extract the NIM, Name, Program, and Year from the row
    $nim = $conn->real_escape_string($row[0]);
    $name = isset($row[1]) ? $conn->real_escape_string($row[1]) : '';  // Name can be an empty string if missing
    $programs = isset($row[2]) ? $conn->real_escape_string($row[2]) : ''; // Program (Column 3)

    // $programs = 'SI';

    $class_of = isset($row[3]) ? $conn->real_escape_string($row[3]) : ''; // Year of (Column 4, 'Class of')

    // Check if the NIM exists in the mahasiswa table
    $sql_check = "SELECT NIM, Name, Program, Class_of FROM mahasiswa WHERE NIM = '$nim'";
    $result = $conn->query($sql_check);

    if ($result->num_rows > 0) {
        // If NIM exists, check for any changes and update the record if necessary
        $row_data = $result->fetch_assoc();
        if ($row_data['Name'] !== $name || $row_data['Program'] !== $programs || $row_data['Class_of'] !== $class_of) {
            // Update the record if there are any changes
            $sql_update = "UPDATE mahasiswa SET Name = '$name', Program = '$programs', Class_of = '$class_of' WHERE NIM = '$nim'";
            if (!$conn->query($sql_update)) {
                throw new Exception('Update failed for NIM: ' . $nim . ' - ' . $conn->error);
            }
        }

    } else {
        // If NIM does not exist, insert the new record
        $sql_insert = "INSERT INTO mahasiswa (NIM, Name, Program, Class_of) VALUES ('$nim', '$name', '$programs', '$class_of')";
        if (!$conn->query($sql_insert)) {
            throw new Exception('Insert failed for NIM: ' . $nim . ' - ' . $conn->error);
        }
    }

    // Now process the assignment scores starting from column 5 onward
    // $q1 = isset($row[4]) ? $conn->real_escape_string($row[4]) : '0';  
    // $q10 = isset($row[5]) ? $conn->real_escape_string($row[5]) : '0';
    // $q11 = isset($row[6]) ? $conn->real_escape_string($row[6]) : '0';
    // $q12 = isset($row[7]) ? $conn->real_escape_string($row[7]) : '0';
    // $q13 = isset($row[8]) ? $conn->real_escape_string($row[8]) : '0';
    // $q14 = isset($row[9]) ? $conn->real_escape_string($row[9]) : '0';
    // $q2 = isset($row[10]) ? $conn->real_escape_string($row[10]) : '0';
    // $q3 = isset($row[11]) ? $conn->real_escape_string($row[11]) : '0';
    // $q4 = isset($row[12]) ? $conn->real_escape_string($row[12]) : '0';
    // $q5 = isset($row[13]) ? $conn->real_escape_string($row[13]) : '0';
    // $q6 = isset($row[14]) ? $conn->real_escape_string($row[14]) : '0';
    // $q7 = isset($row[15]) ? $conn->real_escape_string($row[15]) : '0';
    // $q8 = isset($row[16]) ? $conn->real_escape_string($row[16]) : '0';
    // $q9 = isset($row[17]) ? $conn->real_escape_string($row[17]) : '0';
$q1 = isset($row[4]) ? $conn->real_escape_string($row[4]) : '0';  
$q2 = isset($row[5]) ? $conn->real_escape_string($row[5]) : '0';
$q3 = isset($row[6]) ? $conn->real_escape_string($row[6]) : '0';
$q4 = isset($row[7]) ? $conn->real_escape_string($row[7]) : '0';
$q5 = isset($row[8]) ? $conn->real_escape_string($row[8]) : '0';
$q6 = isset($row[9]) ? $conn->real_escape_string($row[9]) : '0';
$q7 = isset($row[10]) ? $conn->real_escape_string($row[10]) : '0';
$q8 = isset($row[11]) ? $conn->real_escape_string($row[11]) : '0';
$q9 = isset($row[12]) ? $conn->real_escape_string($row[12]) : '0';
$q10 = isset($row[13]) ? $conn->real_escape_string($row[13]) : '0';
$q11 = isset($row[14]) ? $conn->real_escape_string($row[14]) : '0';
$q12 = isset($row[15]) ? $conn->real_escape_string($row[15]) : '0';
$q13 = isset($row[16]) ? $conn->real_escape_string($row[16]) : '0';
$q14 = isset($row[17]) ? $conn->real_escape_string($row[17]) : '0';
$q15 = isset($row[18]) ? $conn->real_escape_string($row[18]) : '0';
$q16 = isset($row[19]) ? $conn->real_escape_string($row[19]) : '0';
$q17 = isset($row[20]) ? $conn->real_escape_string($row[20]) : '0';
$q18 = isset($row[21]) ? $conn->real_escape_string($row[21]) : '0';
$q19 = isset($row[22]) ? $conn->real_escape_string($row[22]) : '0';
$q20 = isset($row[23]) ? $conn->real_escape_string($row[23]) : '0';

// Insert or update query for the assignment_scores table
$sql = "INSERT INTO assignment_scores (NIM, Name, terms, Course_Code, `Assignment 1`, `Assignment 2`, `Assignment 3`, `Assignment 4`, `Assignment 5`, `Assignment 6`, `Assignment 7`, `Assignment 8`, `Assignment 9`, `Assignment 10`, `Assignment 11`, `Assignment 12`, `Assignment 13`, `Assignment 14`, `Assignment 15`, `Assignment 16`, `Assignment 17`, `Assignment 18`, `Assignment 19`, `Assignment 20`)
VALUES ('$nim', '$name', '$terms', '$courseCode', '$q1', '$q2', '$q3', '$q4', '$q5', '$q6', '$q7', '$q8', '$q9', '$q10', '$q11', '$q12', '$q13', '$q14', '$q15', '$q16', '$q17', '$q18', '$q19', '$q20')
ON DUPLICATE KEY UPDATE
Name = '$name', Terms = '$terms', Course_Code = '$courseCode', `Assignment 1` = '$q1', `Assignment 2` = '$q2', `Assignment 3` = '$q3', `Assignment 4` = '$q4', `Assignment 5` = '$q5', `Assignment 6` = '$q6', `Assignment 7` = '$q7', `Assignment 8` = '$q8', `Assignment 9` = '$q9', `Assignment 10` = '$q10', `Assignment 11` = '$q11', `Assignment 12` = '$q12', `Assignment 13` = '$q13', `Assignment 14` = '$q14', `Assignment 15` = '$q15', `Assignment 16` = '$q16', `Assignment 17` = '$q17', `Assignment 18` = '$q18', `Assignment 19` = '$q19', `Assignment 20` = '$q20'";
    if (!$conn->query($sql)) {
        throw new Exception('Database query failed for assignment_scores: ' . $conn->error);
    }
}



    // Success response
    echo json_encode([
        'status' => 'success',
        'message' => 'Data checked and updated successfully.'
    ]);

} catch (Exception $e) {
    // Error response in JSON format
    echo json_encode([
        'status' => 'error',
        'message' => $e->getMessage()
    ]);

}
