<?php
// Include necessary files for HTML structure and database connection

include '../database_connection.php';
$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get selected term and course from the POST request
$selectedTerm = isset($_POST['terms']) ? $_POST['terms'] : 'Unknown Term';
$selectedCourse = isset($_POST['course']) ? $_POST['course'] : 'Unknown Course';

// SQL queries for Lecture and Lab tables with filtering based on selected term and course
$lecture_query = "SELECT assignment_scores.*, 
                  uts_scores.`Question 1` AS `UTS_Question 1`, uts_scores.`Question 2` AS `UTS_Question 2`, 
                  uts_scores.`Question 3` AS `UTS_Question 3`, uts_scores.`Question 4` AS `UTS_Question 4`, 
                  uts_scores.`Question 5` AS `UTS_Question 5`, uts_scores.`Question 6` AS `UTS_Question 6`, 
                  uts_scores.`Question 7` AS `UTS_Question 7`, uts_scores.`Question 8` AS `UTS_Question 8`, 
                  uts_scores.`Question 9` AS `UTS_Question 9`, uts_scores.`Question 10` AS `UTS_Question 10`,
                  uas_scores.`Question 1` AS `UAS_Question 1`, uas_scores.`Question 2` AS `UAS_Question 2`, 
                  uas_scores.`Question 3` AS `UAS_Question 3`, uas_scores.`Question 4` AS `UAS_Question 4`, 
                  uas_scores.`Question 5` AS `UAS_Question 5`, uas_scores.`Question 6` AS `UAS_Question 6`, 
                  uas_scores.`Question 7` AS `UAS_Question 7`, uas_scores.`Question 8` AS `UAS_Question 8`, 
                  uas_scores.`Question 9` AS `UAS_Question 9`, uas_scores.`Question 10` AS `UAS_Question 10`
                  FROM assignment_scores 
                  LEFT JOIN uts_scores ON assignment_scores.NIM = uts_scores.NIM 
                  LEFT JOIN uas_scores ON assignment_scores.NIM = uas_scores.NIM
                  WHERE assignment_scores.Terms = '$selectedTerm' 
                  AND assignment_scores.Course_Code = '$selectedCourse'";

$lab_query = "SELECT assignment_lab_scores.*, 
              uts_lab_scores.`Question 1` AS `UTS_Question 1`, uts_lab_scores.`Question 2` AS `UTS_Question 2`, 
              uts_lab_scores.`Question 3` AS `UTS_Question 3`, uts_lab_scores.`Question 4` AS `UTS_Question 4`, 
              uts_lab_scores.`Question 5` AS `UTS_Question 5`, uts_lab_scores.`Question 6` AS `UTS_Question 6`, 
              uts_lab_scores.`Question 7` AS `UTS_Question 7`, uts_lab_scores.`Question 8` AS `UTS_Question 8`, 
              uts_lab_scores.`Question 9` AS `UTS_Question 9`, uts_lab_scores.`Question 10` AS `UTS_Question 10`,
              uas_lab_scores.`Question 1` AS `UAS_Question 1`, uas_lab_scores.`Question 2` AS `UAS_Question 2`, 
              uas_lab_scores.`Question 3` AS `UAS_Question 3`, uas_lab_scores.`Question 4` AS `UAS_Question 4`, 
              uas_lab_scores.`Question 5` AS `UAS_Question 5`, uas_lab_scores.`Question 6` AS `UAS_Question 6`, 
              uas_lab_scores.`Question 7` AS `UAS_Question 7`, uas_lab_scores.`Question 8` AS `UAS_Question 8`, 
              uas_lab_scores.`Question 9` AS `UAS_Question 9`, uas_lab_scores.`Question 10` AS `UAS_Question 10`
              FROM assignment_lab_scores 
              LEFT JOIN uts_lab_scores ON assignment_lab_scores.NIM = uts_lab_scores.NIM 
              LEFT JOIN uas_lab_scores ON assignment_lab_scores.NIM = uas_lab_scores.NIM
              WHERE assignment_lab_scores.Terms = '$selectedTerm' 
              AND assignment_lab_scores.Course_Code = '$selectedCourse'";

$lecture_result = $conn->query($lecture_query);
$lab_result = $conn->query($lab_query);

// Function to filter out columns with only zero values
function get_valid_columns($data) {
    $valid_columns = [];
    if (count($data) > 0) {
        foreach ($data[0] as $column => $value) {
            $all_zero = true;
            foreach ($data as $row) {
                if ($row[$column] != 0) {
                    $all_zero = false;
                    break;
                }
            }
            if (!$all_zero) {
                $valid_columns[] = $column; // Add column to valid list if not all zero
            }
        }
    }
    return $valid_columns;
}

// Fetch and filter Lecture data
$lecture_data = [];
if ($lecture_result->num_rows > 0) {
    while ($row = $lecture_result->fetch_assoc()) {
        $lecture_data[] = $row;
    }
}
$valid_lecture_columns = get_valid_columns($lecture_data);

// Fetch and filter Lab data
$lab_data = [];
if ($lab_result->num_rows > 0) {
    while ($row = $lab_result->fetch_assoc()) {
        $lab_data[] = $row;
    }
}
$valid_lab_columns = get_valid_columns($lab_data);

// Function to generate HTML table
function generate_table($data, $valid_columns) {
    if (count($data) > 0) {
        echo "<table border='1'><thead><tr>";
        // Table headers
        foreach ($valid_columns as $column_name) {
            echo "<th>" . htmlspecialchars($column_name) . "</th>";
        }
        echo "</tr></thead><tbody>";
        // Table rows
        foreach ($data as $row) {
            echo "<tr>";
            foreach ($valid_columns as $column_name) {
                echo "<td>" . htmlspecialchars($row[$column_name]) . "</td>";
            }
            echo "</tr>";
        }
        echo "</tbody></table>";
    } else {
        echo "<p>No data available.</p>";
    }
}

// Generate Lecture table
echo "<h2>Lecture Scores</h2>";
generate_table($lecture_data, $valid_lecture_columns);

// Generate Lab table
echo "<h2>Lab Scores</h2>";
generate_table($lab_data, $valid_lab_columns);

// Close connection
$conn->close();
?>
