<?php
include '../../database_connection.php';

$selectedTerm = isset($_POST['terms']) ? $_POST['terms'] : 'Unknown Term';
$selectedCourse = isset($_POST['course']) ? $_POST['course'] : 'Unknown Course';

// Fetch rubric for UTS
$sqlRubric = "SELECT * FROM rubric_uts WHERE Term = '$selectedTerm' AND Course = '$selectedCourse' ORDER BY Question";
$rubricResult = $conn->query($sqlRubric);

// Fetch UTS scores
$sqlScores = "SELECT * FROM uts_scores WHERE Term = '$selectedTerm' AND Course_code = '$selectedCourse'";
$scoresResult = $conn->query($sqlScores);

// Prepare output data
$data = [];
$rWeight = 0;
$qWeight = 0;
$columns = [];
$rows = [];

// Get R_Weight and Q_Weight
if ($rubricResult->num_rows > 0) {
    $rubric = [];
    while ($row = $rubricResult->fetch_assoc()) {
        $rubric[] = $row;
        $rWeight = $row['R_Weight'];
        $qWeight = $row['Q_weight'];
        $columns[] = 'Question ' . $row['Question'];
    }
}

// Process each student score
if ($scoresResult->num_rows > 0) {
    while ($scoreRow = $scoresResult->fetch_assoc()) {
        $total = 0;
        $scores = [];
        for ($i = 0; $i < count($rubric); $i++) {
            $question = 'Question' . ($i + 1);
            if (isset($scoreRow[$question])) {
                $weightedScore = $scoreRow[$question] * ($qWeight / 100);
                $total += $weightedScore;
                $scores[] = $weightedScore;
            }
        }
        $rows[] = [
            'NIM' => $scoreRow['NIM'],
            'Name' => $scoreRow['Name'],
            'scores' => $scores,
            'total' => $total
        ];
    }
}

// Return data as JSON
echo json_encode([
    'rWeight' => $rWeight,
    'qWeight' => $qWeight,
    'columns' => $columns,
    'rows' => $rows
]);

$conn->close();
?>
