<?php
include '../basic_page.html';
include '../database_connection.php';



// Establish database connection
$conn = new mysqli($servername, $username, $password, $dbname);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if POST parameters are set
$selectedTerm = isset($_POST['terms']) ? htmlspecialchars($_POST['terms']) : 'Unknown Term';
$selectedCourse = isset($_POST['course']) ? htmlspecialchars($_POST['course']) : 'Unknown Course';

// Initialize variable
$lab = false;  // Default to false

// Check UTS lab scores
$stmt1 = $conn->prepare("SELECT * FROM uts_lab_scores WHERE terms = ? AND course_code = ?");
$stmt1->bind_param("ss", $selectedTerm, $selectedCourse);
$stmt1->execute();
$result1 = $stmt1->get_result();
if ($result1->num_rows > 0) {
    $lab = true; // If found in uts_lab_scores, set lab to true
}

// Check UAS lab scores
$stmt2 = $conn->prepare("SELECT * FROM uas_lab_scores WHERE terms = ? AND course_code = ?");
$stmt2->bind_param("ss", $selectedTerm, $selectedCourse);
$stmt2->execute();
$result2 = $stmt2->get_result();
if ($result2->num_rows > 0) {
    $lab = true; // If found in uas_lab_scores, set lab to true
}

// Check Assignment lab scores
$stmt3 = $conn->prepare("SELECT * FROM assignment_lab_scores WHERE terms = ? AND course_code = ?");
$stmt3->bind_param("ss", $selectedTerm, $selectedCourse);
$stmt3->execute();
$result3 = $stmt3->get_result();
if ($result3->num_rows > 0) {
    $lab = true; // If found in assignment_lab_scores, set lab to true
}
?>

<!-- Include Bootstrap CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">

<div class="container mt-5 custom-margin">  <!-- Added custom class for left margin -->
  <div class="row">
    <div class="col-12">
      <!-- Back button -->
      <a href="javascript:history.back()" class="btn btn-secondary mb-3">Back</a>
      
      <!-- Main horizontal nav tabs -->
      <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item" role="presentation">
          <a class="nav-link active svore_view_title" id="uts-tab" data-bs-toggle="tab" href="#uts" role="tab" aria-controls="uts" aria-selected="true">UTS</a>
        </li>
        <li class="nav-item" role="presentation">
          <a class="nav-link svore_view_title" id="uas-tab" data-bs-toggle="tab" href="#uas" role="tab" aria-controls="uas" aria-selected="false">UAS</a>
        </li>
        <li class="nav-item" role="presentation">
          <a class="nav-link svore_view_title" id="assignment-tab" data-bs-toggle="tab" href="#assignment" role="tab" aria-controls="assignment" aria-selected="false">ASSIGNMENT</a>
        </li>
        <?php if ($lab): ?>
          <li class="nav-item" role="presentation">
            <a class="nav-link svore_view_title" id="uts-lab-tab" data-bs-toggle="tab" href="#uts-lab" role="tab" aria-controls="uts-lab" aria-selected="false">UTS LAB</a>
          </li>
          <li class="nav-item" role="presentation">
            <a class="nav-link svore_view_title" id="uas-lab-tab" data-bs-toggle="tab" href="#uas-lab" role="tab" aria-controls="uas-lab" aria-selected="false">UAS LAB</a>
          </li>
          <li class="nav-item" role="presentation">
            <a class="nav-link svore_view_title" id="assignment-lab-tab" data-bs-toggle="tab" href="#assignment-lab" role="tab" aria-controls="assignment-lab" aria-selected="false">ASSIGNMENT LAB</a>
          </li>
        <?php endif; ?>
      </ul>
    </div>

    <div class="col-12">  <!-- Full width for content -->
      <!-- Tab content -->
      <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="uts" role="tabpanel" aria-labelledby="uts-tab">
          <!-- Original content for UTS -->
          <?php include 'score_display/uts.php'; ?>
        </div>

        <div class="tab-pane fade" id="uas" role="tabpanel" aria-labelledby="uas-tab">
          <!-- Content for UAS scores -->
          <?php include 'score_display/uas.php'; ?>
        </div>

        <div class="tab-pane fade" id="assignment" role="tabpanel" aria-labelledby="assignment-tab">
          <?php include 'score_display/assignment.php'; ?>
        </div>

        <?php if ($lab): ?>
          <div class="tab-pane fade" id="uts-lab" role="tabpanel" aria-labelledby="uts-lab-tab">
            <?php include 'score_display/uts_lab.php'; ?>
          </div>
          <div class="tab-pane fade" id="uas-lab" role="tabpanel" aria-labelledby="uas-lab-tab">
            <?php include 'score_display/uas_lab.php'; ?>
          </div>
          <div class="tab-pane fade" id="assignment-lab" role="tabpanel" aria-labelledby="assignment-lab-tab">
            <?php include 'score_display/assignment_lab.php'; ?>
          </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
</div>

<!-- Include Bootstrap JS and dependencies -->
<!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script> -->
